Bug 73490 - internal compiler error when using -mtrap-precision=i
Summary: internal compiler error when using -mtrap-precision=i
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 8.0
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-05 12:45 UTC by Pawel Salek
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 03:24:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pawel Salek 2002-09-05 12:45:23 UTC
When trying to compile program attached to report #73488 with
g77 -O2 -mtrap-precision=i prog.f
I get
prog.f: In subroutine `oneodc':
prog.f:35: Internal compiler error in alpha_handle_trap_shadows, at
config/alpha/alpha.c:5313
Please submit a full bug report.

Happy hunting! 
gcc-g77-2.96-108.7.2

Comment 1 Pawel Salek 2002-09-05 13:01:49 UTC
Similar error with gcc3-g77-3.0.4-1:
prog.f: In subroutine `oneodc':
prog.f:35: Internal compiler error in alpha_handle_trap_shadows, at
config/alpha/alpha.c:5703
Please submit a full bug report,

Have you got gcc3-3.2 for alpha somewhere?

Comment 2 Pawel Salek 2002-09-05 13:24:05 UTC
This is still a problem in gcc version 3.2 20020822 (Red Hat Linux Rawhide 3.2-4)

Comment 3 Richard Henderson 2004-10-03 03:24:19 UTC
Fixed in gcc 3.3.


Note You need to log in before you can comment on or make changes to this bug.